Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226473 - Merge Review: system-switch-mail
Summary: Merge Review: system-switch-mail
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:07 UTC by Nobody's working on this, feel free to take it
Modified: 2010-08-02 15:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-02 15:08:52 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:07:42 UTC
Fedora Merge Review: system-switch-mail

http://cvs.fedora.redhat.com/viewcvs/devel/system-switch-mail/
Initial Owner: than@redhat.com

Comment 1 Parag AN(पराग) 2010-07-21 05:06:41 UTC
Ah! package has latest update in F-12 but not in F-13 and devel.

Please first build latest release in F-13 and devel

Also,
1) remove old Obsoletes and Provides from spec. See http://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages#Do_I_need_to_Provide_my_old_package_names.3F


2)timestamps should be preserved.Use INSTALL="install -p" when installing to
preserve timestamps.

3) I will suggest this pacakge to follow current packaging guidelines and
remove buildroot, %clean section and cleaning of build root in %install    

4) Don't use makeinstall See https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

5) Please follow https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

Comment 2 Ngo Than 2010-07-21 09:57:31 UTC
the system-switch-mail-0.5.27  is available on http://than.fedorapeople.org/
it should fix all above issues.

Comment 3 Ngo Than 2010-07-21 15:57:10 UTC
it's fixed in system-switch-mail-1.0.1. The new srpm is available on http://than.fedorapeople.org/ . please review

Thanks

Comment 4 Parag AN(पराग) 2010-07-22 04:58:41 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2337682
+ rpmlint output for SRPM and for RPM.
system-switch-mail.noarch: E: non-executable-script /usr/share/system-switch-mail/switchmail_tui.py 0644L /usr/bin/python
system-switch-mail.noarch: W: no-manual-page-for-binary system-switch-mail-nox
system-switch-mail-gnome.noarch: E: explicit-lib-dependency libglade2
system-switch-mail-gnome.noarch: W: no-documentation
system-switch-mail-gnome.noarch: E: non-executable-script /usr/share/system-switch-mail/switchmail_gui.py 0644L /usr/bin/python

+ source files match upstream url (sha1sum)
02cc140a9f837de89bfd0f45e2b1975f5c172b3b  system-switch-mail-1.0.1.tar.bz2
02cc140a9f837de89bfd0f45e2b1975f5c172b3b  system-switch-mail-1.0.1.tar.bz2.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
- BuildRequires are proper
+ %clean is present which is not needed now.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI application

Just to Note here, It will be good if this package start using following guidelines in fedora.
For F-13 and above then please follow
1) buildroot should be removed
2) %clean not needed
3) cleaning of buildroot at start of %install also not needed


Suggestions:
I think I missed few points
1) BuildRequires: automake 
is not needed
2) non-executable-script rpmlint error message can be solved by adding
-------------------------------------------------
for lib in %{buildroot}%{_datadir}/%{name}/switchmail_tui.py %{buildroot}%{_datadir}/%{name}/switchmail_gui.py; do
 sed '/\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
------------------------------------------------------------

to end of %install section.

See the successful scratch build when fixed above 2 issues at http://koji.fedoraproject.org/koji/taskinfo?taskID=2338109

I installed this new changes and looks package is working fine.

Can you please fix above 2 issues?

Comment 5 Ngo Than 2010-07-26 11:54:27 UTC
it's fixed in system-switch-mail-1.0.1-1.fc14 which is built in koji. Could you please review it again? thanks

Than

Comment 6 Parag AN(पराग) 2010-07-27 09:09:18 UTC
Thanks for the update. I will approve this review.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.